be.ehealth.technicalconnector.service.sts.impl

## Class AbstractSTSService

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.impl.AbstractSTSService

- All Implemented Interfaces:
    STSService
  Direct Known Subclasses:
    STSServiceImpl, STSServiceWsTrustImpl

      public abstract class AbstractSTSService
      extends Object
      implements STSService

  Abstract class that regroups methods that can be used by the different implementation.

  Implementation of `STSService`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `HOK_METHOD` The Constant HOK_METHOD.
    `static String` | `SV_METHOD` The Constant SV_METHOD.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSTSService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String subjectConfirmationMethod, int validity)` Gets the token.
    `Element` | `getToken(Credential headerCredentials, Credential bodyCredentials, List<SAMLAttribute> attributes, List<SAMLAttributeDesignator> designators, String authenticationMethod, String nameQualifier, String value, String subjectConfirmationMethod, int validity)`
    `Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, int validity)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.STSService

      `getToken, getToken, renewToken`

- - ### Field Detail

    - #### HOK_METHOD

          public static final String HOK_METHOD

      The Constant HOK_METHOD.
      See Also:
        Constant Field Values

    - #### SV_METHOD

          public static final String SV_METHOD

      The Constant SV_METHOD.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractSTSService

          public AbstractSTSService()

  - ### Method Detail

    - #### getToken

          public Element getToken(Credential headerCredentials,
                                  Credential bodyCredentials,
                                  List<SAMLAttribute> attributes,
                                  List<SAMLAttributeDesignator> designators,
                                  String subjectConfirmationMethod,
                                  int validity)
                           throws TechnicalConnectorException

      Description copied from interface: `STSService`
      Gets the token.
      Specified by:
        `getToken` in interface `STSService`
      Parameters:
        `headerCredentials` - Credentials used for securing the SOAP request message.
        `bodyCredentials` - Credentials used for securing the SAML request.
        `attributes` - List of Attributes containing user/organization information.
        `designators` - List of Designators.
        `validity` - the validity Validity of the session in hours.
      Returns:
        SAML assertion token provided by eHealth-platform.
      Throws:
        `TechnicalConnectorException` - the technical connector exception

    - #### getToken

          public Element getToken(Credential headerCredentials,
                                  Credential bodyCredentials,
                                  List<SAMLAttribute> attributes,
                                  List<SAMLAttributeDesignator> designators,
                                  String authenticationMethod,
                                  String nameQualifier,
                                  String value,
                                  String subjectConfirmationMethod,
                                  int validity)
                           throws TechnicalConnectorException

      Specified by:
        `getToken` in interface `STSService`
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### renewToken

          public Element renewToken(Credential headerCredentials,
                                    Credential bodyCredentials,
                                    Element samlToken,
                                    int validity)
                             throws TechnicalConnectorException

      Specified by:
        `renewToken` in interface `STSService`
      Returns:
      Throws:
        `TechnicalConnectorException`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.